- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# xml_converter.hh File Reference

XML conversion class. More...

Include dependency graph for xml_converter.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
namespace | vcsn::xml
## Classes
struct | xml_converter
| Base conversion class. More...

## Detailed Description

XML conversion class.

Convert stream containing XML to automaton, and conversely.

See also:
  vcsn::xml::xml_chooser, vcsn::xml::Node, vcsn::Factory

Author:
  Louis-Noel Pouchet <louis-noel.pouchet@lrde.epita.fr>

Definition in file xml_converter.hh.